
Redmine - Defect #2011

Building the RDoc-documentation halts on init.rb.

2008-10-09 02:27 - Mischa The Evil

Status: Closed Start date: 2008-10-09

Priority: Low Due date:  

Assignee: Eric Davis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

As discussed on IRC;

When building the RDoc-documentation using (for example) "rake doc:app", rake freezes completely on an instance of the file init.rb.

Cause of this:

Edavis10 wrote:

It's from the plugin generator that was added recently.

Associated revisions

Revision 1949 - 2008-10-25 06:37 - Eric Davis

Renamed the .rb files in the plugin_generator to end in .erb.  The .rb was

causing rdoc to try to document them and fail.

Updated the generator's manifest to use the new files

Renamed template README to README.rdoc   

#2011

History

#1 - 2008-10-25 06:31 - Eric Davis

- Status changed from New to Closed

- Target version set to 0.8

- % Done changed from 0 to 100

- Resolution set to Fixed

This was because the plugin generator's template file ended in .rb and init.rb caused rdoc to error.  I renamed the files to end in .rb.erb in r1949 so the

rdocs will now build again.  Thank you for the bug report.
